org.eclnt.jsfserver.elements.componentnodes

## Class BEEPNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode
  - - org.eclnt.jsfserver.elements.componentnodes.BEEPNode

- All Implemented Interfaces:
    java.io.Serializable

      public class BEEPNode
      extends ROWDYNAMICCONTENTBinding.ComponentNode

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BEEPNode()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `BEEPNode` | `bindAdapterbinding(IDynamicContentBindingObject value)`
    `BEEPNode` | `bindBeepcount(IDynamicContentBindingObject value)`
    `BEEPNode` | `bindBeeptype(IDynamicContentBindingObject value)`
    `BEEPNode` | `bindComment(IDynamicContentBindingObject value)`
    `BEEPNode` | `bindConfiginfo(IDynamicContentBindingObject value)`
    `BEEPNode` | `bindRendered(IDynamicContentBindingObject value)`
    `BEEPNode` | `bindStylevariant(IDynamicContentBindingObject value)`
    `BEEPNode` | `bindTrigger(IDynamicContentBindingObject value)`
    `BEEPNode` | `setAdapterbinding(java.lang.String value)`
    `BEEPNode` | `setAttributemacro(java.lang.String value)`
    `BEEPNode` | `setBeepcount(int value)`
    `BEEPNode` | `setBeepcount(java.lang.String value)`
    `BEEPNode` | `setBeeptype(java.lang.String value)`
    `BEEPNode` | `setComment(java.lang.String value)`
    `BEEPNode` | `setConfiginfo(java.lang.String value)`
    `BEEPNode` | `setId(java.lang.String value)`
    `BEEPNode` | `setReference(java.lang.String value)`
    `BEEPNode` | `setRendered(boolean value)`
    `BEEPNode` | `setRendered(java.lang.String value)`
    `BEEPNode` | `setStylevariant(java.lang.String value)`
    `BEEPNode` | `setTrigger(java.lang.String value)`

    - ### Methods inherited from class org.eclnt.jsfserver.elements.impl.ROWDYNAMICCONTENTBinding.ComponentNode

      `addAttribute, addAttribute, addSubNode, getAttribute, getAttributesMap, getAttributeValue, getSubNodes, getTagName, toString, toXML`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### BEEPNode

          public BEEPNode()

  - ### Method Detail

    - #### setId

          public BEEPNode setId(java.lang.String value)

    - #### setAdapterbinding

          public BEEPNode setAdapterbinding(java.lang.String value)

    - #### bindAdapterbinding

          public BEEPNode bindAdapterbinding(IDynamicContentBindingObject value)

    - #### setAttributemacro

          public BEEPNode setAttributemacro(java.lang.String value)

    - #### setBeepcount

          public BEEPNode setBeepcount(java.lang.String value)

    - #### bindBeepcount

          public BEEPNode bindBeepcount(IDynamicContentBindingObject value)

    - #### setBeepcount

          public BEEPNode setBeepcount(int value)

    - #### setBeeptype

          public BEEPNode setBeeptype(java.lang.String value)

    - #### bindBeeptype

          public BEEPNode bindBeeptype(IDynamicContentBindingObject value)

    - #### setComment

          public BEEPNode setComment(java.lang.String value)

    - #### bindComment

          public BEEPNode bindComment(IDynamicContentBindingObject value)

    - #### setConfiginfo

          public BEEPNode setConfiginfo(java.lang.String value)

    - #### bindConfiginfo

          public BEEPNode bindConfiginfo(IDynamicContentBindingObject value)

    - #### setReference

          public BEEPNode setReference(java.lang.String value)

    - #### setRendered

          public BEEPNode setRendered(java.lang.String value)

    - #### bindRendered

          public BEEPNode bindRendered(IDynamicContentBindingObject value)

    - #### setRendered

          public BEEPNode setRendered(boolean value)

    - #### setStylevariant

          public BEEPNode setStylevariant(java.lang.String value)

    - #### bindStylevariant

          public BEEPNode bindStylevariant(IDynamicContentBindingObject value)

    - #### setTrigger

          public BEEPNode setTrigger(java.lang.String value)

    - #### bindTrigger

          public BEEPNode bindTrigger(IDynamicContentBindingObject value)

Copyright © CaptainCasa Gmbh. All Rights Reserved.